export const createStore = (initial, actions = {}) => {
  const store = {}; // maps keys to observables
  const hooks = {};

  const mergeState = newState => {
    // TODO
  }

  mergeState(initial);

  const dispatch = Object.fromEntries(Object.entries(actions).map(([name, action]) => [name, (...args) => mergeState(action(...args))]));

  const selector = Object.fromEntries(Object.entries(store).map(([key, obs]) => [key, obs._get]));

  return [hooks, dispatch, selector];
}